find.hpp File Reference

## Functions

template<typename I , typename S , typename V , typename P = identity>
constexpr auto | ranges::find (I first, S last, V const &val, P proj=P{}) -> I requires input_iterator< I > &&sentinel_for< S, I > &&indirect_relation< equal_to, projected< I, P >, V const *>
| template function `find` More...
template<typename Rng , typename V , typename P = identity>
constexpr auto | ranges::find (Rng &&rng, V const &val, P proj=P{}) -> safe_iterator_t< Rng > requires input_range< Rng > &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, V const *>